Introduction

“Quote Creator” can easily help you in creating quotes for your potential customers, current customers, or even offer you other means of communication with clients.

With Quote Creator, you can send custom professional quotes and file attachments to your customers.

  • Quote Creator – Send customized quotes with attachments to customers via email. Quote creator could also be used for several other purposes like sending out order fulfillment information, sales estimates, or any other types of communication with your customers (see section Create Quote Module)

  • View Quote - is used in conjunction with the Quote Creator module. The Email the user receives includes a link to your site to view the quote online (thru the View Quote module) – see section View Quot Module

  • My Quotes – Users can easily navigate to this module where they will see current quotes that are available for their particular user (see section My Quotes Module)

  • Manage Quotes – Allows administrators to manage quotes in the system (see section Manage Quote Module)

Several additional features:

  • Setup different categories for your type of quotes

  • Setup each quote creator module with different default email subjects, email message templates, and other settings

  • Application can send anonymous quotes or quotes to current customers/users

  • Set system in ‘test’ mode to test sending quotes out before actually sending them

  • Upload multiple/unlimited files with each quote

  • Easy instructions / help on each module

  • Easily change the ‘Quote’ label throughout the system to something else (i.e. Estimate, Your product name, order fulfillment name etc…)

  • Emails sent out include parameters which will be replaced with information (i.e. including $(CustomerName) in a quote will automatically be replaced with the customer you are sending the quote to

Copyright © 2006 Data Springs Inc. All rights reserved.


Installation Procedure

Since the “Quote Creator” module consists of 4 separate modules. You should follow these instructions to install all modules before you start using them.

Included in your download is a zip file (DataSprings_QuoteCreator_Module.zip) containing installation files:

  • Manage Quotes.zip – installation file for installing “Manage Quote” module

  • My Quotes.zip – installation file for installing “My Quotes”

  • Quote Creator.zip – installation file for installing “Quote Creator” module

  • View Quote.zip- installation file for installing “View Quote” module

Important: the procedure will be explained for “Quote Creator” module, but you should follow these same instructions for installing the 3 other modules as well.

In order to install “Quote Creator” module, login with an account to your DNN site as a host or administrator account. Once you have logged in, Navigate to the Admin or Host menu item, and click on the “Module Definition”.

Figure 1: Installation procedure (step 1/7)

The following screen will be displayed.

Figure 2: Installation procedure (step 2/7)

Click on the “Upload New Module” to continue installing “Quote Creator” and the following screen will be displayed.

Figure 3: Installation procedure (step 3/7)

Click on the “Browse” button and the dialog window for locating the installation file “Quote Creator.zip” will be displayed.

Figure 4: Installation procedure (step 4/7)

Locate the “Quote Creator.zip” and click on the “Open” button. The following screen will be displayed.

Figure 5: Installation procedure (step 5/7)

Click on the “Add” link inside this screen in order to add the module and it will be added to the list.

Figure 6: Installation (step 6/7)

Select the “Quote Creator.zip” file and click on the “Upload New File” link. The installation will begin and in couple of moments the screen informing you on successful completion will be displayed.

Figure 7: Installation procedure (step 7/7)

Note: please keep track of any errors that appear during the installation. These errors can be helpful if your module has problems.


Create Quote Module

This section will give detailed instructions for all options available for “Create Quote” module.


Adding Create Quote module to a page

In order to add “Create Quote” module to a desired page follow these steps:

1. Select the “Add New Module” radio button

  2. Choose “Quote Creator – Create Quote” from the “Module” pull down menu

  3. Click on the “Add” link (or the arrow icon [image]).

Figure 8: Adding a module to a page

The “Create Quote” module will be added to the page. Click on the arrow next to the title of the module in order to open the main menu.

Figure 9: Opening Quote Creator - Create Quote module main menu

Note: see section "Create Quote" Main Menu for further information on main menu options.


Create Quote Main Menu

This section of the document will give the definition of the “Create Quote” main menu options. In order to start using the main menu, click on the arrow next to the title “Quote Creator”.

Figure 10: Opening the main menu

The following options are available inside this screen:

  • Edit Categories – option for managing lists and users (see section Editing Categories)

  • Edit Settings – options for viewing previous newsletters (see section Editing Settings)

  • Help – this user guide

  • Online Help - this user guide

  • Print – option for printing the contents of the page

  • Settings – option for managing settings (see section Managing Settings)

  • Delete – option for deleting a module (see section Deleting the module)

  • Move – option for placing the module in the desired part of the page:

    • Move To leftpane

    • Move To bannerpane

    • Move To contentpane

    • Move To rightpane

    • Move To bottompane

    • Move To bottompane1

    • Move To bottompane2


Editing Categories

The “Edit Categories” option is used for editing quote categories and creating new ones. In order to start editing the categories, choose option “Edit Categories” from the main menu.

Figure 11: Choosing option "Edit Categories"

The following screen will be displayed.

Figure 12: Editing categories

The following options and parameters are available inside this screen:

  • Category pull down menu – pull down menu for choosing the existing category you want to edit or creating a new one by choosing option “New Category” (see section Creating a new category)

  • Category Name – field displaying the category name (either for editing or setting a new one)

  • Category Description – field displaying the category description (either for editing or setting a new one)


Creating a new category

In order to create a new quote category, choose option “New Category” from the pull down menu.

Figure 13: Creating a new category (step 1/2)

The following screen will be displayed.

Figure 14: Creating a new category (step 2/2)

Enter the category name and description inside this screen and click on the “Update” link. The new category will be created.


Editing Settings

In order to start editing “Quote Creator – Create quote” module settings, choose option “Edit Settings” from the main menu.

Figure 15: Choosing option "Editing Settings"

The following screen will be displayed.

Figure 16: Editing settings

The following parameters are available inside this screen:

  • View Quote URL/Page – use this pull down menu to point to the page you have added the “View Quote” module to

  • Test mode - set system in ‘test’ mode to test sending quotes out before actually sending them

  • From/Test Email – define the email address as seen by the recipients of the quote (note: also used as test email when the system is set to ‘test’ mode)

  • Root File Folder – this setting should typically be the default portal directory. If a special portal directory was setup during the DNN installation then please specify it here (advanced users only).

  • Email Subject – field for setting the subject of the email message

  • Email Settings – this part of the screen displays your current host email settings

  • Email Template – part of the screen for setting up an email template

After setting these parameters click on the “Update” link in order to save the changes.


Creating a quote

In order to create a quote you should follow these steps:

  • Define a quote – see section Defining a quote

  • Define an email message - see section Defining an email

  • Attach a file - see section Attaching a file


Defining a quote

The first step in creating a quote is defining the quote parameters.

Figure 17: Defining a quote

The following parameters are available inside this screen:

  • Quote Date – enter the date for the quote or click on the “Calendar” link to choose the desired date

  • Category – choose the desired quote category from the pull down menu (see section Creating a new category for further information on how to create a category)

  • Customer/User – choose the desired customer/user from this pull down menu or choose anonymous to create a quote for an anonymous user

  • Customer Name – this field is filled based on the customer chosen from the “Customer Name” pull down menu

  • Email Address - this field is filled based on the customer chosen from the “Customer Name” pull down menu

  • Notify User Via Email – select this checkbox in case you want to notify the customer about the quote via email

  • Quote Summary – text area for entering the quote summary

The next step in creating a quote is defining an email message for the user (see section Defining an email).


Defining an email

After defining the quote you can define an email for the customer (note: part of the screen below the quote parameters).

Figure 18: Defining an email

The following parameters are available inside this screen:

  • Email Parameters – click on the “+” symbol next to the “Email Parameters” label in order to view the list of extended fields that can be used inside the email

    • $(URL) – insert this field into an email message to send a URL the user will follow in order to view the quote

    • $(CustomerName) – use this extended field inside the email message in order to address the customer by his name (e.g. if the customer’s name is John and you enter “Dear $(Customer Name)” the customer will receive an email containing “Dear John”

    • $(UserID) – use this extended field inside the email message in order to display user’s ID

    • $(Password) – use this extended field inside the email message in order to display user’s password

    • $(TestMode) – when the system is in test mode the administrator (or whoever is specified as the test email) is always distributed the quote email instead of the customer

  • Body of the email message – use this text area in order to define the contents of your email message to the user

    • Note: you can use the WYSIWYG editor options in order to format the text according to your preferences (only available when in “Rich Text Editor” mode)

The last step in creating a quote is attaching a file (see section Attaching a file).


Attaching a file

Click on the “Browse” button in order to start attaching a file to the email message.

Figure 19: Attaching a file (step 1/4)

The dialog window for choosing the desired file from your PC will be displayed.

Figure 20: Attaching a file (step 2/4)

Choose the desired file and click on the “Open” button. The following screen will be displayed.

Figure 21: Attaching a file (step 3/4)

Click on the “Add” button and the selected file will be added. The following screen will be displayed.

Figure 22: Attaching a file (step 4/4)

After you attach the desired file and set all the other parameters (see previous sections for further information), click on the “Send/Update Quote” link and the quote will be completed. The following screen will be displayed.

Figure 23: Quote completed

Note: you can attach any number of files to a quote.


Managing Settings

In order to start managing settings, choose option “Settings” from the main menu.

Figure 24: Choosing option “Settings”

The following screen will be displayed.

Figure 25: Managing settings

The following options are available inside this screen:

  • Module Settings – option for managing module settings:

    • Basic Settings

    • Advanced Settings

  • Page Settings – option for managing page settings

After setting the desired parameters, click on the "Update” button in order to save the changes.


Deleting the module

In order to delete the module, choose option “Delete” from the main menu.

Figure 26: Deleting the module (step 1/2)

The following screen will be displayed.

Figure 27: Deleting the module (step 2/2)

Click on the “OK” button and the module will be deleted.


View Quote

The “View Quote” module is used for displaying the quote to the user. When you use parameter View Quote URL/Page (see section Editing Settings) for viewing a quote and send the URL to the user link, this is the page he will land to in order to view his quote.


Adding View Quote to a page

In order to add “View Quote” module to a desired page follow these steps:

4. Select the “Add New Module” radio button

  5. Choose “Quote Creator – View Quote” from the “Module” pull down menu

  6. Click on the “Add” link (or the arrow icon [image]).

Figure 28: Adding View Quote to a page

The “View Quote” module will be added to the page.

Note: see section "View Quote" main menu for further information on main menu options.


Viewing a quote

Once you create a quote for the user and send him an email notification, he will also receive a URL “View Quote” which will lead him to the page with his quote.

Figure 29: Viewing a quote


“View Quote” Main Menu

This section of the document will describe options available inside the “View Quote” main menu.

Figure 30: View quote main menu

The following options are available inside the main menu:

  • Edit Settings – option for editing “View Quote” settings (see section Editing “View Quote” Settings)

  • Help – option for accessing this guide

  • Online Help - option for accessing this guide

  • Print – option for printing this page

  • Settings – option for managing "View Quote" settings

  • Delete – option for deleting the “View Quote” module (see section Deleting "View Quote" module)

  • Move - option for putting the module inside the desired part of the screen


Editing “View Quote” Settings

In order to start editing “View Quote” settings, choose option “Edit Settings” from the main menu.

Figure 31: Choosing option "Edit Settings"

The following screen will be displayed.

Figure 32: Editing settings

The following parameters are available inside this screen:

  • Quote Label – enter the label for the quote (e.g. “quote”, “product” or anything else)

  • Root File Folder – this setting should typically be the default portal directory. If a special portal directory was setup during the DNN installation then please specify it here (advanced users only).

  • Virtual Directory – virtual directory setup for your portal.

    • note: this should be for advanced users and only in case they setup a virtual directory that is not standard

After setting these parameters click on the “Update” button in order to save the changes.


Deleting View Quote module

In order to delete the module, choose option “Delete” from the main menu.

Figure 33: Deleting the module (step 1/2)

The following screen will be displayed.

Figure 34: Deleting the module (step 2/2)

Click on the “OK” button and the module will be deleted.


My Quotes Module

This section will give detailed instructions for all options available for “My Quotes” module.


Adding My Quotes to the page

In order to add “My Quotes” module to a desired page follow these steps:

7. Select the “Add New Module” radio button

  8. Choose “Quote Creator – My Quotes” from the “Module” pull down menu

  9. Click on the “Add” link (or the arrow icon [image]).

Figure 35: Adding a module to a page

The “My Quotes” module will be added to the page. Click on the arrow next to the title of the module in order to open the main menu.

Note: see section "My Quotes" main menu for further information on main menu options.


Viewing My Quotes

The purpose of the “My Quotes” module is to allow users to monitor all of their quotes in one place. Users will be able to see their quotes by navigating to “My Quotes” page after logging in.

Figure 36: Viewing "My Quotes"

This page contains all previous quotes for the logged in user. The user has an option of viewing the quote details by clicking on the “Quote Details” link.


My Quotes Main Menu

This section will describe all options available inside the “My Quotes” main menu.

Figure 37: "My Quotes" main menu

The following options are available inside the main menu:

  • Edit “My Quotes Settings” – option for editing “My Quotes” settings (see section Editing “My Quote” Settings)

  • Help – option for accessing this guide

  • Online Help - option for accessing this guide

  • Print – option for printing this page

  • Settings – option for managing module settings (see section Managing “My Quotes” settings)

  • Delete – option for deleting this module (see section Deleting “My Quotes” module)

  • Move - option for putting the module inside the desired part of the screen


Editing “My Quote” Settings

In order to start editing “My Quote” settings choose option “Edit My Quote Settings” from the main menu. The following screen will be displayed.

Figure 38: Editing "My Quote" settings

The following parameters are available inside this screen:

  • View Quote Page – use this pull down menu to find and set the page you have installed the “View Quote” module to

  • Enter the Quote Label – input field for setting the desired label for the quote

  • Message of “No Quotes Available” – text area for defining the message user will se if there are no quotes available for that user

After setting the desired parameters, click on the "Update” button in order to save the changes.


Managing “My Quotes” settings

In order to start managing “My Quotes” settings, choose option “Settings” from the main menu.

Figure 39: Choosing option "Settings" from the main menu

The following screen will be displayed.

Figure 40: Managing settings

The following options are available inside this screen:

  • Module Settings – option for managing module settings:

    • Basic Settings

    • Advanced Settings

  • Page Settings – option for managing page settings

After setting the desired parameters, click on the "Update” button in order to save the changes.


Deleting “My Quotes” module

In order to delete the module, choose option “Delete” from the main menu.

Figure 41: Deleting the module (step 1/2)

The following screen will be displayed.

Figure 42: Deleting the module (step 2/2)

Click on the “OK” button and the module will be deleted.


Manage Quote Module

This section will give detailed instructions for all options available for “Manage Quote” module.


Adding Manage Quote to the page

In order to add “Manage Quote” module to a desired page follow these steps:

10. Select the “Add New Module” radio button

  11. Choose “Quote Creator – Manage Quote” from the “Module” pull down menu

  12. Click on the “Add” link (or the arrow icon [image]).

Figure 43: Adding a module to a page

The “Manage Quote” module will be added to the page. Click on the arrow next to the title of the module in order to open the main menu.

Figure 44: Manage quote module added to the page

Note: see section Managing Quotes for further information on main menu options.


Managing Quotes

In order to start managing quotes set the desired date range by using “From Date” and “To Date” input fields.

Figure 45: Setting desired date range

After setting the desired date range click on the “View Results” link and the following screen will be displayed.

Figure 46: Managing quotes

This screen contains all previously defined quotes. The following options are available:

  • Edit – option for editing a quote (see section Editing a quote)

  • Delete – option for deleting a quote (see section Deleting a quote)

  • View Details – option for viewing quote details (see section Viewing quote details)


Editing a quote

In order to edit a quote, click on the “Edit” link next to the desired quote.

Figure 47: Editing a quote (step 1/2)

The screen containing quote parameters will be displayed where you can make the desired changes.


Deleting a quote

In order to delete a quote, click on the “Delete” link next to the desired quote.

Figure 48: Deleting a quote

Once you click on the “Delete” button the selected quote will be deleted.


Viewing quote details

In order to view quote details, click on the “View Details” link next to the desired quote.

Figure 49: Viewing quote details

The screen with the quote details will be displayed.


“Manage Quote” Main Menu

This section will describe option available inside the “Manage Quote” main menu.

Figure 50: Manage Quote Main Menu

The following options are available inside this screen:

  • Edit Settings – option for managing “Manage Quote” settings (see section Editing “Manage Quote” Settings)

    • Important: you need to edit the settings in order to point to the pages containing “View Quote” and “Create Quote” modules in order for the modules to function correctly

  • Help – option for accessing this guide

  • Online Help - option for accessing this guide

  • Print – option for printing the page

  • Settings – option for managing module and page settings (see section Managing “Manage Quote” settings)

  • Delete – option for deleting “Manage Quote” module (see section Deleting “Manage Quote” module)

  • Move – option for putting the module inside the desired part of the screen


Editing “Manage Quote” Settings

For module to operate correctly, you need to adjust the settings inside the “Manage Quote” module. In order to start managing “Manage Quote” settings, choose option “Edit Settings” from the main menu.

Figure 51: Choosing option "Edit Settings"

The following screen will be displayed.

Figure 52: Editing "Manage Quote" settings

The following parameters are available inside this screen:

  • View Quote Page – choose the page you created for “View Quote” module from the pull down menu

  • Add Quote Page - choose the page you created for “Create Quote” module from the pull down menu

After setting the desired values for the parameters click on the “Update” button in order to save the changes.


Managing “Manage Quote” settings

In order to start managing “Manage Quote” settings, choose option “Settings” from the main menu.

Figure 53: Choosing option "Settings" from the main menu

The following screen will be displayed.

Figure 54: Managing settings

The following options are available inside this screen:

  • Module Settings – option for managing module settings:

    • Basic Settings

    • Advanced Settings

  • Page Settings – option for managing page settings

After setting the desired parameters, click on the "Update” button in order to save the changes.


Deleting “Manage Quote” module

In order to delete the module, choose option “Delete” from the main menu.

Figure 55: Deleting the module (step 1/2)

The following screen will be displayed.

Figure 56: Deleting the module (step 2/2)

Click on the “OK” button and the module will be deleted.